package com.mortals.xhx.module.matters.model;

import java.util.List;
import com.mortals.xhx.module.matters.model.MattersAreaEntity;
/**
* 区域查询对象
*
* @author zxfei
* @date 2022-03-30
*/
public class MattersAreaQuery extends MattersAreaEntity {
    /** 开始 id号 */
    private Long idStart;

    /** 结束 id号 */
    private Long idEnd;

    /** 增加 id号 */
    private Long idIncrement;

    /** id号列表 */
    private List <Long> idList;

    /** 区域编码 */
    private List<String> areaCodeList;

    /** 区域名称 */
    private List<String> nameList;

    /** 区域等级，1省，2地市州，3区县，4街道，5社区 */
    private List<String> areaLevelList;

    /** 是否有下级区域 */
    private List<String> haveSonAreaList;

    /** 是否有下级部门 */
    private List<String> haveSonDeptList;

    /** 名称简称 */
    private List<String> shortNameList;

    /** 访问地址 */
    private List<String> domainList;

    /** 一体化的ID号 */
    private List<String> iidList;

    /** 一体化的父id */
    private List<String> pidList;

    /** 是否获取部门 */
    private List<String> haveGetDeptList;

    /** 是否获取事项列表 */
    private List<String> haveGetMatterListList;

    /** 开始 修改时间 */
    private String updatetimeStart;

    /** 结束 修改时间 */
    private String updatetimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<MattersAreaQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<MattersAreaQuery> andConditionList;

    public MattersAreaQuery(){}

    /**
    * 获取 开始 id号
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 id号
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 id号
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 id号
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 id号
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 id号
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 id号
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 id号
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 区域编码
    * @return areaCodeList
    */
    public List<String> getAreaCodeList(){
        return this.areaCodeList;
    }

    /**
    * 设置 区域编码
    * @param areaCodeList
    */
    public void setAreaCodeList(List<String> areaCodeList){
        this.areaCodeList = areaCodeList;
    }
    /**
    * 获取 区域名称
    * @return nameList
    */
    public List<String> getNameList(){
        return this.nameList;
    }

    /**
    * 设置 区域名称
    * @param nameList
    */
    public void setNameList(List<String> nameList){
        this.nameList = nameList;
    }
    /**
    * 获取 区域等级，1省，2地市州，3区县，4街道，5社区
    * @return areaLevelList
    */
    public List<String> getAreaLevelList(){
        return this.areaLevelList;
    }

    /**
    * 设置 区域等级，1省，2地市州，3区县，4街道，5社区
    * @param areaLevelList
    */
    public void setAreaLevelList(List<String> areaLevelList){
        this.areaLevelList = areaLevelList;
    }
    /**
    * 获取 是否有下级区域
    * @return haveSonAreaList
    */
    public List<String> getHaveSonAreaList(){
        return this.haveSonAreaList;
    }

    /**
    * 设置 是否有下级区域
    * @param haveSonAreaList
    */
    public void setHaveSonAreaList(List<String> haveSonAreaList){
        this.haveSonAreaList = haveSonAreaList;
    }
    /**
    * 获取 是否有下级部门
    * @return haveSonDeptList
    */
    public List<String> getHaveSonDeptList(){
        return this.haveSonDeptList;
    }

    /**
    * 设置 是否有下级部门
    * @param haveSonDeptList
    */
    public void setHaveSonDeptList(List<String> haveSonDeptList){
        this.haveSonDeptList = haveSonDeptList;
    }
    /**
    * 获取 名称简称
    * @return shortNameList
    */
    public List<String> getShortNameList(){
        return this.shortNameList;
    }

    /**
    * 设置 名称简称
    * @param shortNameList
    */
    public void setShortNameList(List<String> shortNameList){
        this.shortNameList = shortNameList;
    }
    /**
    * 获取 访问地址
    * @return domainList
    */
    public List<String> getDomainList(){
        return this.domainList;
    }

    /**
    * 设置 访问地址
    * @param domainList
    */
    public void setDomainList(List<String> domainList){
        this.domainList = domainList;
    }
    /**
    * 获取 一体化的ID号
    * @return iidList
    */
    public List<String> getIidList(){
        return this.iidList;
    }

    /**
    * 设置 一体化的ID号
    * @param iidList
    */
    public void setIidList(List<String> iidList){
        this.iidList = iidList;
    }
    /**
    * 获取 一体化的父id
    * @return pidList
    */
    public List<String> getPidList(){
        return this.pidList;
    }

    /**
    * 设置 一体化的父id
    * @param pidList
    */
    public void setPidList(List<String> pidList){
        this.pidList = pidList;
    }
    /**
    * 获取 是否获取部门
    * @return haveGetDeptList
    */
    public List<String> getHaveGetDeptList(){
        return this.haveGetDeptList;
    }

    /**
    * 设置 是否获取部门
    * @param haveGetDeptList
    */
    public void setHaveGetDeptList(List<String> haveGetDeptList){
        this.haveGetDeptList = haveGetDeptList;
    }
    /**
    * 获取 是否获取事项列表
    * @return haveGetMatterListList
    */
    public List<String> getHaveGetMatterListList(){
        return this.haveGetMatterListList;
    }

    /**
    * 设置 是否获取事项列表
    * @param haveGetMatterListList
    */
    public void setHaveGetMatterListList(List<String> haveGetMatterListList){
        this.haveGetMatterListList = haveGetMatterListList;
    }
    /**
    * 获取 开始 修改时间
    * @return updatetimeStart
    */
    public String getUpdatetimeStart(){
        return this.updatetimeStart;
    }

    /**
    * 设置 开始 修改时间
    * @param updatetimeStart
    */
    public void setUpdatetimeStart(String updatetimeStart){
        this.updatetimeStart = updatetimeStart;
    }

    /**
    * 获取 结束 修改时间
    * @return updatetimeEnd
    */
    public String getUpdatetimeEnd(){
        return this.updatetimeEnd;
    }

    /**
    * 设置 结束 修改时间
    * @param updatetimeEnd
    */
    public void setUpdatetimeEnd(String updatetimeEnd){
        this.updatetimeEnd = updatetimeEnd;
    }

    /**
    * 设置  id号
    * @param id
    */
    public MattersAreaQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 id号
    * @param idStart
    */
    public MattersAreaQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 id号
    * @param idEnd
    */
    public MattersAreaQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 id号
    * @param idIncrement
    */
    public MattersAreaQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 id号
    * @param idList
    */
    public MattersAreaQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }


	/**
    * 设置 区域编码
    * @param areaCode
    */
    public MattersAreaQuery areaCode(String areaCode){
        setAreaCode(areaCode);
		return this;
    }

    /**
    * 设置 区域编码
    * @param areaCodeList
    */
    public MattersAreaQuery areaCodeList(List<String> areaCodeList){
        this.areaCodeList = areaCodeList;
		return this;
    }


	/**
    * 设置 区域名称
    * @param name
    */
    public MattersAreaQuery name(String name){
        setName(name);
		return this;
    }

    /**
    * 设置 区域名称
    * @param nameList
    */
    public MattersAreaQuery nameList(List<String> nameList){
        this.nameList = nameList;
		return this;
    }


	/**
    * 设置 区域等级，1省，2地市州，3区县，4街道，5社区
    * @param areaLevel
    */
    public MattersAreaQuery areaLevel(String areaLevel){
        setAreaLevel(areaLevel);
		return this;
    }

    /**
    * 设置 区域等级，1省，2地市州，3区县，4街道，5社区
    * @param areaLevelList
    */
    public MattersAreaQuery areaLevelList(List<String> areaLevelList){
        this.areaLevelList = areaLevelList;
		return this;
    }


	/**
    * 设置 是否有下级区域
    * @param haveSonArea
    */
    public MattersAreaQuery haveSonArea(String haveSonArea){
        setHaveSonArea(haveSonArea);
		return this;
    }

    /**
    * 设置 是否有下级区域
    * @param haveSonAreaList
    */
    public MattersAreaQuery haveSonAreaList(List<String> haveSonAreaList){
        this.haveSonAreaList = haveSonAreaList;
		return this;
    }


	/**
    * 设置 是否有下级部门
    * @param haveSonDept
    */
    public MattersAreaQuery haveSonDept(String haveSonDept){
        setHaveSonDept(haveSonDept);
		return this;
    }

    /**
    * 设置 是否有下级部门
    * @param haveSonDeptList
    */
    public MattersAreaQuery haveSonDeptList(List<String> haveSonDeptList){
        this.haveSonDeptList = haveSonDeptList;
		return this;
    }


	/**
    * 设置 名称简称
    * @param shortName
    */
    public MattersAreaQuery shortName(String shortName){
        setShortName(shortName);
		return this;
    }

    /**
    * 设置 名称简称
    * @param shortNameList
    */
    public MattersAreaQuery shortNameList(List<String> shortNameList){
        this.shortNameList = shortNameList;
		return this;
    }


	/**
    * 设置 访问地址
    * @param domain
    */
    public MattersAreaQuery domain(String domain){
        setDomain(domain);
		return this;
    }

    /**
    * 设置 访问地址
    * @param domainList
    */
    public MattersAreaQuery domainList(List<String> domainList){
        this.domainList = domainList;
		return this;
    }


	/**
    * 设置 一体化的ID号
    * @param iid
    */
    public MattersAreaQuery iid(String iid){
        setIid(iid);
		return this;
    }

    /**
    * 设置 一体化的ID号
    * @param iidList
    */
    public MattersAreaQuery iidList(List<String> iidList){
        this.iidList = iidList;
		return this;
    }


	/**
    * 设置 一体化的父id
    * @param pid
    */
    public MattersAreaQuery pid(String pid){
        setPid(pid);
		return this;
    }

    /**
    * 设置 一体化的父id
    * @param pidList
    */
    public MattersAreaQuery pidList(List<String> pidList){
        this.pidList = pidList;
		return this;
    }


	/**
    * 设置 是否获取部门
    * @param haveGetDept
    */
    public MattersAreaQuery haveGetDept(String haveGetDept){
        setHaveGetDept(haveGetDept);
		return this;
    }

    /**
    * 设置 是否获取部门
    * @param haveGetDeptList
    */
    public MattersAreaQuery haveGetDeptList(List<String> haveGetDeptList){
        this.haveGetDeptList = haveGetDeptList;
		return this;
    }


	/**
    * 设置 是否获取事项列表
    * @param haveGetMatterList
    */
    public MattersAreaQuery haveGetMatterList(String haveGetMatterList){
        setHaveGetMatterList(haveGetMatterList);
		return this;
    }

    /**
    * 设置 是否获取事项列表
    * @param haveGetMatterListList
    */
    public MattersAreaQuery haveGetMatterListList(List<String> haveGetMatterListList){
        this.haveGetMatterListList = haveGetMatterListList;
		return this;
    }


    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<MattersAreaQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<MattersAreaQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<MattersAreaQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<MattersAreaQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}